The data shown here comes from [Flight Delay Analysis Dataset](https://gist.github.com/josvin92/9a6b89cb9365b1042d6648fc584c3198)

The first bar chart on the top shows the Top 15 Destination Airports sorted by the number of departures to each airport in descending order. 

The Airports are represented by their IATA Codes.

This chart also demonstrates customization of D3 axes.

The questions that can be asked from this chart are:
 - What are the Top 15 Airports that have the most number of flights departing to?
 - How many flights depart to the most popular destination? Ans = 897
 - How many flights depart to the 15th most popular/least popular destination according to this graph? Ans = 46
 - What is the least popular destination from this graph? Ans = BOS
 - What is the most popular destination from this graph? Ans = ORD

The second chart on the top is a stacked bar chart which shows the  the "Average Delay Time and Delay Reason for various airline carriers". The color denotes the delay reason. The Delay Reason and the Avg Delay Time for each airline are shown on the tooltip as well when you hover over it.

The questions that can be asked from this chart are:
 - Which Aircraft Carrier has the highest average departure delay? Ans = B6
 - Which Aircraft Carrier has the lowest average departure delay? Ans = HA
 - For the B6 Carrier, what was the major cause of delay? Ans = Carrier Delay
 - Which type of Delay caused the Max Avg Departure Delay?How much was the delay and for which aircraft was it? - Ans = National Air System Delay - 1257.14 mins - NK 
 - For each Aircraft Carrier, what are the delays they can reduce so as to increase on-time performance?


The first chart on the bottom shows the "Percentage of flights delayed by more than or less than 15 mins". The color denotes whether the delay is greater than 15 mins or less than 15 mins. The tooltip shows the percentage delay w.r.t total delay of all flights, when you hover over it.

The questions that can be asked from this chart are:
 - What percentage of flights w.r.t arrival were delayed by more than 15 mins? Ans = 21.1%
 - What percentage of flights w.r.t arrival were delayed by less than 15 mins? Ans = 78.9%

The second chart on the bottom shows the "Percentage of flights delayed by more than or less than 15 mins". The color denotes whether the delay is greater than 15 mins or less than 15 mins. The tooltip shows the percentage delay w.r.t total delay of all flights, when you hover over it.

The questions that can be asked from this chart are:
 - What percentage of flights w.r.t departure were delayed by more than 15 mins? Ans = 23.9%
 - What percentage of flights w.r.t departure were delayed by less than 15 mins? Ans = 76.1%

The third chart on the bottom shows the "Percentage of flights delayed w.r.t Departure for each airline". The color saturation denotes the percentage of delayed flights that belong to each airline. The tooltip shows the percentage delay w.r.t total delay of all flights, when you hover over it.

The questions that can be asked from this chart are:
  - Which airline had the maximum delayed flights? Ans = MQ
  - What percentage of flights were delayed by the airline MQ? Ans = 39.1%
  - How many airlines have a delay percent between 10% and 20%? Also, what are those flights? Ans = 3, AA, OO, EV
 
The fourth chart on the bottom shows the "Percentage of flights delayed w.r.t Departure for each origin airport". The color saturation denotes the percentage of delayed flights that belong to each airport. The tooltip shows the percentage delay w.r.t total delay at all airports, when you hover over it.

The questions that can be asked from this chart are:
  - Which airport had the maximum delayed flights? Ans = ORD
  - What percentage of flights were delayed at the airport DFW? Ans = 9.8%
  - How many airports have a delay percent of 3% or above? Also, what are those airports? Ans = 4, ORD, DFW, DEN, LGA
